Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class TransformerImpl.ThreadControler

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.TransformerImpl.ThreadControler

public static class TransformerImpl.ThreadControler
extends java.lang.Object

Base thread controler for xalan. Must be overriden with a derived class to support thread pooling. All thread-related stuff is in this class.

WARNING! This class will probably move since the DTM CoroutineSAXParser depends on it. This class should move to the CoroutineSAXParser. You can use it, but be aware that your code will have to change when the move occurs.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`TransformerImpl.ThreadControler()`

Method Summary
`java.lang.Thread` | `run(java.lang.Runnable task, int priority)` Will get a thread from the pool, execute the task and return the thread to the pool.
`void` | `waitThread(java.lang.Thread worker, java.lang.Runnable task)` Wait until the task is completed on the worker thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerImpl.ThreadControler

    public TransformerImpl.ThreadControler()

Method Detail

### run

    public java.lang.Thread run(java.lang.Runnable task,
                                int priority)

  Will get a thread from the pool, execute the task and return the thread to the pool. The return value is used only to wait for completion NEEDSDOC @param task

  Parameters:
    `priority` - if >0 the task will run with the given priority ( doesn't seem to be used in xalan, since it's allways the default )

### waitThread

    public void waitThread(java.lang.Thread worker,
                           java.lang.Runnable task)
                    throws java.lang.InterruptedException

  Wait until the task is completed on the worker thread. NEEDSDOC @param worker NEEDSDOC @param task

  Throws:
    java.lang.InterruptedException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference